<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:template match="DiagnosticDataTransmission">
<html>
<head>
	<title>Intranet Application Styleguide</title>
	<link href="./css/cda.css" type="text/css" rel="stylesheet" />
	
</head>
<body>
<div class="head">
	<div class="markenschutzraum">
		<a href="http://www.bahn-net.db.de/" onclick="window.open(this.href); return false;"><img
	    	height="21" src="./img/bahn-net_logo.gif" width="77" alt="Logo des Bahn-net" title="Zum Bahn-net" /></a>
    </div>
   	<h1><xsl:value-of select="name()"/></h1>
</div>

<div class="hauptnavigation">
<h2>Hauptnavigation</h2>
<a href="#header" class="first">Header</a>
<a href="#status">Status</a>
<a href="#history">History</a>
<a href="#operatingdata">OperatingData</a>
<a href="#versions">Versions</a>
<a href="#opinfo">OperationalInfo</a>
<a href="#maninfo">ManualInfo</a>
<a href="#addinfo">AdditionalInfo</a>
</div>

<div class="pfadanzeige">
	<p>Sie sind hier:
	<a href="#">Startseite</a>
	&gt; <xsl:value-of select="name()"/></p>
	<p class="datum"><script type="text/javascript" src="./js/datum.js"></script></p>
</div>

<div class="emptymenu"></div>

<div class="content">
	<h2>Inhalt</h2>
	<div class="contentbox">	
		<xsl:apply-templates />		
	</div>
</div>
</body>
</html>
</xsl:template>
<xsl:template match="Header">		
		<p><h2><xsl:value-of select="name()"/></h2></p><a name="header"></a>
		<h3>
		<table border="1" width="600">
			<tr>			
			<xsl:for-each select="@*">
				<xsl:if test="position() mod 2 != 1">			
					<th><xsl:value-of select="name()"/></th>
				</xsl:if>
			</xsl:for-each>
			</tr>
			<tr>
			<xsl:for-each select="@*">
				<xsl:if test="position() mod 2 != 1">
					<td><xsl:value-of select="."/></td>
				</xsl:if>
			</xsl:for-each>
			</tr>
			<tr>			
			<xsl:for-each select="@*">
				<xsl:if test="position() mod 2 = 1">			
					<th><xsl:value-of select="name()"/></th>
				</xsl:if>
			</xsl:for-each>
			</tr>
			<tr>
			<xsl:for-each select="@*">
				<xsl:if test="position() mod 2 = 1">
					<td><xsl:value-of select="."/></td>
				</xsl:if>
			</xsl:for-each>
			</tr>
		</table>
		</h3>
		<xsl:apply-templates />
</xsl:template>
<xsl:template match="Location">
	<br />
	<h3>
		<xsl:value-of select="name()"/>
		<table border="1" width="300">
			<tr>
				<xsl:for-each select="./GPS/@*">
					<th><xsl:value-of select="name()"/></th>
				</xsl:for-each>
			</tr>
			<tr>
				<xsl:for-each select="./GPS/@*">
					<td><xsl:value-of select="."/></td>
				</xsl:for-each>
			</tr>
		</table>
		<p><b>Distance: </b>
		<xsl:value-of select="./Dist/@name"/> = <xsl:value-of select="./Dist/@km"/> 
		</p>
	</h3>
</xsl:template>
<xsl:template match="DUnits">
<br />
<h3>
	<xsl:value-of select="./@dNb"/> DUnits, MyDUnitPosition:
	<xsl:value-of select="./@myDPos"/>
	<xsl:for-each select="./DUnit">
	<table border="1" width="600">
		<tr>
			<th width="30" colspan="8" rowspan="2"><xsl:value-of select="name()"/>:<xsl:value-of select="./@dPos"/><p>Nb:<xsl:value-of select="./@dId"/></p><p>Leading Vehicle:<xsl:value-of select="./@leadVeh"/></p><p>TimetableNb:<xsl:value-of select="./@timetableNb"/></p>
			</th>
		</tr>
		<tr>
		<xsl:for-each select="./Vehicle">
			<td><xsl:value-of select="./@id"/></td>
		</xsl:for-each>
		</tr>
	</table>
	</xsl:for-each>
</h3>
</xsl:template>
<xsl:template match="StatusInfo">		
		<p><h2><xsl:value-of select="name()"/></h2></p><a name="status"></a>	
		<h3>
		Status:	
		<table border="1" width="600">
			<xsl:for-each select="./Status">
			<xsl:if test="position() = 1">
			<tr>
				<xsl:for-each select="@*">					
					<th><xsl:value-of select="name()"/></th>
				</xsl:for-each>
			</tr>
			</xsl:if>			
			<tr>
			<xsl:for-each select="@*">					
					<th><xsl:value-of select="."/></th>
				</xsl:for-each>
			</tr>
			</xsl:for-each>
		</table>
		</h3>
</xsl:template>
<xsl:template match="History">		
		<p><h2><xsl:value-of select="name()"/> <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
		<xsl:for-each select="@*">					
					<xsl:value-of select="name()"/>:<xsl:value-of select="."/>
					<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
		</xsl:for-each>
		</h2></p><a name="history"></a>
		<h3>
		Events:
		<table border="1" width="600">
			<xsl:for-each select="./Evt">
			<xsl:if test="position() = 1">
			<tr>
				<xsl:for-each select="@*">					
					<th><xsl:value-of select="name()"/></th>
				</xsl:for-each>
			</tr>
			</xsl:if>			
			<tr>
			<xsl:for-each select="@*">					
					<td><xsl:value-of select="."/></td>
				</xsl:for-each>
			</tr>			
			</xsl:for-each>
		</table>
		
		
		<xsl:for-each select="./Evt">
		Umfelddaten zu Event: <xsl:value-of select="@id"/>
		<table border="1" width="300">
		<xsl:for-each select="./EnvD">
			<xsl:if test="position() = 1">
			<tr>
				<xsl:for-each select="@*">					
					<th><xsl:value-of select="name()"/></th>
				</xsl:for-each>
				<xsl:for-each select="./Data">
					<xsl:for-each select="@*">					
						<th><xsl:value-of select="name()"/></th>
					</xsl:for-each>
				</xsl:for-each>
			</tr>
			</xsl:if>			
			<tr>
				<xsl:for-each select="@*">					
					<td><xsl:value-of select="."/></td>
				</xsl:for-each>
				<xsl:for-each select="./Data">
					<xsl:for-each select="@*">					
						<td><xsl:value-of select="."/></td>
					</xsl:for-each>
				</xsl:for-each>
			</tr>
			</xsl:for-each>
			</table>
		</xsl:for-each>		
		</h3>
</xsl:template>
<xsl:template match="OperatingData">		
		<p><h2><xsl:value-of select="name()"/></h2></p><a name="operatingData"></a>
		<h3>
		Betriebsdaten:
		<table border="1" width="600">
			<xsl:for-each select="./OpDat">
			<xsl:if test="position() = 1">
			<tr>
				<xsl:for-each select="@*">					
					<th><xsl:value-of select="name()"/></th>
				</xsl:for-each>
			</tr>
			</xsl:if>			
			<tr>
			<xsl:for-each select="@*">					
					<td><xsl:value-of select="."/></td>
				</xsl:for-each>
			</tr>			
			</xsl:for-each>
		</table>
		</h3>
</xsl:template>
<xsl:template match="Versions">		
		<p><h2><xsl:value-of select="name()"/></h2></p><a name="versions"></a>
		<h3>
		Versionen:
		<table border="1" width="600">
			<xsl:for-each select="./Version">
			<xsl:if test="position() = 1">
			<tr>
				<xsl:for-each select="@*">					
					<th><xsl:value-of select="name()"/></th>
				</xsl:for-each>
			</tr>
			</xsl:if>			
			<tr>
			<xsl:for-each select="@*">					
					<td><xsl:value-of select="."/></td>
				</xsl:for-each>
			</tr>			
			</xsl:for-each>
		</table>
		</h3>
</xsl:template>
<xsl:template match="OperationalInfo">		
		<p><h2><xsl:value-of select="name()"/></h2></p><a name="opinfo"></a>
		<h3>
		Operative Regelungen:
		<table border="1" width="600">
			<xsl:for-each select="./OpInfo">
			<xsl:if test="position() = 1">
			<tr>
				<xsl:for-each select="@*">					
					<th><xsl:value-of select="name()"/></th>
				</xsl:for-each>
			</tr>
			</xsl:if>			
			<tr>
			<xsl:for-each select="@*">					
					<td><xsl:value-of select="."/></td>
				</xsl:for-each>
			</tr>			
			</xsl:for-each>
		</table>
		</h3>
</xsl:template>
<xsl:template match="ManualInfo">		
		<p><h2><xsl:value-of select="name()"/></h2></p><a name="maninfo"></a>
		<h3>
		Manuelle Erfassungen:
		<table border="1" width="600">
			<xsl:for-each select="./ManInfo">
			<xsl:if test="position() = 1">
			<tr>
				<xsl:for-each select="@*">					
					<th><xsl:value-of select="name()"/></th>
				</xsl:for-each>
			</tr>
			</xsl:if>			
			<tr>
			<xsl:for-each select="@*">					
					<td><xsl:value-of select="."/></td>
				</xsl:for-each>
			</tr>			
			</xsl:for-each>
		</table>
		</h3>
</xsl:template>
<xsl:template match="AdditionalInfo">		
		<p><h2><xsl:value-of select="name()"/></h2></p><a name="addinfo"></a>
		<h3>
		Zusatzdaten:
		<table border="1" width="600">
			<xsl:for-each select="./AdInf">
			<xsl:if test="position() = 1">
			<tr>
				<xsl:for-each select="@*">					
					<th><xsl:value-of select="name()"/></th>
				</xsl:for-each>
			</tr>
			</xsl:if>			
			<tr>
			<xsl:for-each select="@*">					
					<td><xsl:value-of select="."/></td>
				</xsl:for-each>
			</tr>			
			</xsl:for-each>
		</table>
		</h3>
</xsl:template>
</xsl:stylesheet>